Loading...
Searching...
No Matches
BondStretch.h File Reference
`#include <RDGeneral/export.h>`
`#include <ForceField/Contrib.h>`
`#include <vector>`

Go to the source code of this file.

## Classes

class | ForceFields::MMFF::BondStretchContrib
| The bond-stretch term for MMFF. More...

## Namespaces

namespace | ForceFields
namespace | ForceFields::MMFF
namespace | ForceFields::MMFF::Utils

## Functions

RDKIT_FORCEFIELD_EXPORT double | ForceFields::MMFF::Utils::calcBondRestLength (const MMFFBond *mmffBondParams)
| returns the MMFF rest length for a bond
RDKIT_FORCEFIELD_EXPORT double | ForceFields::MMFF::Utils::calcBondForceConstant (const MMFFBond *mmffBondParams)
| returns the MMFF force constant for a bond
RDKIT_FORCEFIELD_EXPORT double | ForceFields::MMFF::Utils::calcBondStretchEnergy (const double r0, const double kb, const double distance)
| calculates and returns the bond stretching MMFF energy